org.eclipse.net4j.util.ui.widgets

## Class SashComposite.OrientationChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.ui.widgets.SashComposite.OrientationChangedEvent

- All Implemented Interfaces:
    java.io.Serializable, IEvent
  Enclosing class:
    SashComposite

      public class SashComposite.OrientationChangedEvent
      extends Event

  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrientationChangedEvent(boolean vertical)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SashComposite` | `getSource()`
    `boolean` | `isVertical()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrientationChangedEvent

          public OrientationChangedEvent(boolean vertical)

  - ### Method Detail

    - #### getSource

          public SashComposite getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`

    - #### isVertical

          public boolean isVertical()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html